﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;


using System.Threading;

namespace Thread1 {
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window {
        public MainWindow() {
            InitializeComponent();
        }

        public void run1() {
            for (int i = 1; i <= 100; i++) {
                string sStr = i.ToString();
                System.Diagnostics.Debug.WriteLine(sStr);
                Thread.Sleep(10);
            }
        }
        public void run2() {
            for (int i = 1; i <= 100; i++) {
                string sStr = (1000 + i).ToString();
                System.Diagnostics.Debug.WriteLine(sStr);
                Thread.Sleep(10);
            }
        }
        public void run3() {
            for (int i = 1; i <= 100; i++) {
                string sStr = (1000 + i).ToString();
                System.Diagnostics.Debug.WriteLine(sStr);
                Thread.Sleep(30);
            }
        }

        private void Ausgabe1() {
            run1();
            run2();
        }

        private void Ausgabe2() {

            ThreadStart ts1, ts2;
            ts1 = new ThreadStart(run1);
            ts2 = new ThreadStart(run3);

            Thread t1, t2;
            t1 = new Thread(ts1);
            t2 = new Thread(ts2);
            t1.Start();
            t2.Start();
            System.Diagnostics.Debug.WriteLine("Fertig");
        }

        private void bnStart1_Click(object sender, RoutedEventArgs e) {
            Ausgabe1();
        }

        private void bnStart2_Click(object sender, RoutedEventArgs e) {
            Ausgabe2();
        }
    }
}
